Change in docker-playground[master]: osmo-gsm-tester: Print colored run output succes/failure

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Fri Mar 20 18:25:46 UTC 2020


pespin has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/17542 )

Change subject: osmo-gsm-tester: Print colored run output succes/failure
......................................................................

osmo-gsm-tester: Print colored run output succes/failure

This way one can quickly see if osmo-gsm-tester run fine or an issue
ocurred and logs need to be checked.

Change-Id: I0b267889f403fc1505f9dd859568bc15a120dd81
---
M osmo-gsm-tester/jenkins.sh
1 file changed, 10 insertions(+), 0 deletions(-)

Approvals:
  pespin: Looks good to me, approved; Verified



diff --git a/osmo-gsm-tester/jenkins.sh b/osmo-gsm-tester/jenkins.sh
index 4a3859f..529ea3d 100755
--- a/osmo-gsm-tester/jenkins.sh
+++ b/osmo-gsm-tester/jenkins.sh
@@ -96,9 +96,19 @@
 		-e "HOST_GROUP_ID=$(id -g)" \
 		--name ${BUILD_TAG}-ogt-master \
 		$REPO_USER/osmo-gsm-tester
+rc=$?
 
 echo Stopping containers
 docker container kill ${BUILD_TAG}-ogt-slave
 
 network_remove
 collect_logs
+
+RED='\033[0;31m'
+GREEN='\033[0;32m'
+NC='\033[0m' # No Color
+if [ $rc -eq 0 ]; then
+	echo -e "${GREEN}SUCCESS${NC}"
+else
+	echo -e "${RED}FAILED ($rc)${NC}"
+fi

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/17542
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I0b267889f403fc1505f9dd859568bc15a120dd81
Gerrit-Change-Number: 17542
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200320/7368c4cb/attachment.htm>


More information about the gerrit-log mailing list